Subject: Re: [PATCH] powerpc: MPIC: support more than 256 sources

From: Olof Johansson <[email-masked]>
Date: Sun, 28 Jan 2007 20:58:44 -0600

On Fri, Jan 26, 2007 at 11:49:00AM +1100, Michael Ellerman wrote:
> It took me a minute to work out where 2039 and 247 came from, it might
> be clearer as:
[..]

Yep, that's a good idea. Thanks.

> Better still, can you get 255/2047 as (num_sources - 1) or something?

Unfortunately, num_sources has nothing to do with supported vector space,
and it would really have to be num_sources+7, this possibly overrunning
the available range, hardware-wise (instead of just losing the topmost
sources to the software uses).

I'll repost the patch with the change above together with the rest of
the series.

-Olof